package com.manage.service.ipml;

import com.manage.dao.User_Dept_MenuMapper;
import com.manage.service.User_Dept_MenuService;
import com.manage.vo.User_Dept_Menu;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @ProjectName:
 * @Description:
 * @Param 传输参数
 * @Return
 * @Author: 曾文和
 * @CreateDate: 2019/7/26 15:33
 * @UpdateUser: 曾文和
 * @UpdateDate: 2019/7/26 15:33
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
@Service
@Transactional
public class User_Dept_MenuServiceImpl implements User_Dept_MenuService {
    @Autowired
    private User_Dept_MenuMapper userDeptMenuMapper;
    @Override
    public List<User_Dept_Menu> selectAll(String userName,String sysFlag,Integer userId,Integer roleId,
                                          Integer sysId,Integer hospitalId) {
        if("-100".equals(roleId)){
            //针对查询菜单权限
            return userDeptMenuMapper.selectMenuListByRoleId(userName, sysFlag);
        }else{
            return userDeptMenuMapper.selectAll(userName, sysFlag, userId, roleId, sysId, hospitalId);
        }
    }
}
