<%@ page language="java" import="java.util.*" pageEncoding="UTF-8" contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/jspf/common.jspf" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>嘉时软件</title>
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <link rel="stylesheet" href="${path}/static/css/gatewayPageStyles.css"/>
    <script src="${path}/static/js/echarts/echarts.min.js"></script>
    <script type="text/javascript">
        var path = "${path}";
    </script>
    <style type="text/css">
        .navbar-custom-menu{
            padding-right:17px;
        }
        /**
       *右侧
       */
        .rightDiv{
            width: 100%;
            height: 83%;
        }
        /**
        *右侧上部分
        */
        .rightTopDiv{
            width: 100%;
            height: 40%;
            min-height: 190px;
        }
        .rightTopSpanDiv{
            padding-top: 10%;
            width: 100%;
            height:50px;
            text-align: center;
        }
        .rightTopSpanDiv span{
            font-size: 36px;
            font-weight: bold;
        }

        .hidden-xs{
            max-width: 200px;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }
        .main-sidebar{
            padding-top: 40px!important;
        }
    </style>
</head>
<body class="hold-transition skin-blue">
<input type="hidden" id="userId" value="${CURRENT_USER.userId}">
<input type="hidden" id="webSocketUrl" value="${WEBSOCKET_URLHEAD}">
<input type="hidden" id="strSplit" value="${STR_SPLIT}">
<input type="hidden" id="flag" value="${flag}">
<div class="wrapper">
    <header class="main-header">
        <!--logo-->
        <div class="logo">
            <div class="pull-left info" style="width: 100%">
                <p>嘉时软件</p>
            </div>
        </div>
        <nav class="navbar navbar-static-top">
            <a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
                <span class="sr-only">Toggle navigation</span>
            </a>
            <div class="navbar-custom-menu">
                <ul class="nav navbar-nav">
                    <li class="user user-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" onclick="noticeManage()">
                            <span class="label label-warning" id="noticeCount">0</span>
                            <i class="fa fa-envelope-o"  style="font-size: 21px;"></i>
                        </a>
                    </li>
                    <li class="user user-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            <img src="${path}/static/bootstrap-3.3.7/dist/img/user2-160x160.jpg" class="user-image" alt="User Image">
                            <c:choose>
                                <c:when test="${CURRENT_USER.powerDepts == '' || CURRENT_USER.powerDepts == null || CURRENT_USER.powerDepts == 'null'}">
                                    <c:choose>
                                        <c:when test="${CURRENT_USER.name != null && CURRENT_USER.name != '' && CURRENT_USER.name != 'null'}">
                                            <span class="hidden-xs" title="${CURRENT_USER.name}">${CURRENT_USER.name}</span>
                                        </c:when>
                                        <c:otherwise>
                                            <p class="hidden-xs" title="${CURRENT_USER.userName}">${CURRENT_USER.userName}</p>
                                        </c:otherwise>
                                    </c:choose>
                                </c:when>
                                <c:otherwise>
                                    <c:choose>
                                        <c:when test="${CURRENT_USER.name != null && CURRENT_USER.name != '' && CURRENT_USER.name != 'null'}">
                                            <p class="hidden-xs" title="${CURRENT_USER.name}(${CURRENT_USER.powerDepts})">${CURRENT_USER.name}(${CURRENT_USER.powerDepts})</p>
                                        </c:when>
                                        <c:otherwise>
                                            <p class="hidden-xs" title="${CURRENT_USER.userName}(${CURRENT_USER.powerDepts})">${CURRENT_USER.userName}(${CURRENT_USER.powerDepts})</p>
                                        </c:otherwise>
                                    </c:choose>
                                </c:otherwise>
                            </c:choose>
                        </a>
                    </li>
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-home" style="font-size: 21px"></i></a>
                        <ul class="dropdown-menu" role="menu">
                            <li><a href="${path}/logout?token=${token}">退出登录</a></li>
                        </ul>
                    </li>
                </ul>
            </div>
        </nav>
    </header>
    <aside class="main-sidebar">
        <!--主页-->
        <div onclick="mainManage()" class="menuDiv">
            <div class="ax_default icon imgDiv">
                <img class="img" src="${path}/static/images/门户页面/u86.png"/>
            </div>
            <div class="titleDiv">
                <div class="textDiv">
                    <p><span>主页</span></p>
                </div>
            </div>
        </div>
        <!--通知信息-->
        <div onclick="noticeManage()" class="menuDiv">
            <div class="ax_default icon imgDiv">
                <img class="img" src="${path}/static/images/门户页面/u161.png"/>
            </div>
            <div class="titleDiv">
                <div class="textDiv">
                    <p><span>通知信息</span></p>
                </div>
            </div>
        </div>
        <!--修改密码-->
        <div onclick="helpDocumentManage()" class="menuDiv">
            <div class="ax_default icon imgDiv">
                <img class="img" src="${path}/static/images/门户页面/u152.png"/>
            </div>
            <div class="titleDiv">
                <div class="textDiv">
                    <p><span>帮助文档</span></p>
                </div>
            </div>
        </div>
        <!--帮助文档-->
        <div onclick="updatePassword()" class="menuDiv">
            <div class="ax_default icon imgDiv">
                <img class="img" src="${path}/static/images/门户页面/u154.png"/>
            </div>
            <div  class="titleDiv">
                <div class="textDiv">
                    <p><span>修改密码</span></p>
                </div>
            </div>
        </div>
        <!--联系我们-->
        <div onclick="callMeManage()" class="menuDiv">
            <div class="ax_default icon imgDiv">
                <img class="img" src="${path}/static/images/门户页面/u156.png"/>
            </div>
            <div class="titleDiv">
                <div class="textDiv">
                    <p><span>联系我们</span></p>
                </div>
            </div>
        </div>
    </aside>
    <div id="iframeDiv" style="display: none">
        <iframe class="row-fluid" style="margin-left:230px;height:100%;width:85%;"
                id="iframe" name="iframe" scrolling="no" frameborder="0"></iframe>
    </div>
    <div class="content-wrapper" id="sectionDiv">
        <div class="rightDiv">
            <div class="rightTopDiv">
                <div class="rightTopSpanDiv">
                    <span>嘉时软件          病案无纸化归档管理系统</span>
                </div>
            </div>
            <section class="content-header">
                <div class="header">
                    <c:if test="${power == 1}">
                        <div class="iconContext left">
                            <a href="${path}/index">
                                <div class="backgroupImgDiv blue rightDefaultImg">
                                    <div class="rightImgDiv">
                                        <img class="rightImg" src="${path}/static/images/门户页面/u130.png"/>
                                    </div>
                                    <div class="rightTitleDiv">
                                        <div class="rightTitle">
                                            <span>权限系统</span>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        </div>
                    </c:if>
                    <c:if test="${emr_medical_record == 1}">
                        <div class="iconContext left">
                            <a href="${EMRMEDICALRECORD_URLHEAD}/login?token=${token}&userName=${CURRENT_USER.userName}">
                                <div class="backgroupImgDiv green rightDefaultImg_bg">
                                    <div class="rightImgDiv">
                                        <img class="rightImg" src="${path}/static/images/门户页面/u136.png"/>
                                    </div>
                                    <div  class="rightTitleDiv">
                                        <div class="rightTitle">
                                            <span>病案归档系统</span>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        </div>
                    </c:if>
                    <c:if test="${emr_record == 1}">
                        <div class="iconContext left">
                            <a href="${EMRRECORD_URLHEAD}/login?token=${token}&userName=${CURRENT_USER.userName}">
                                <div class="backgroupImgDiv orange rightDefaultImg">
                                    <div class="rightImgDiv">
                                        <img class="rightImg" src="${path}/static/images/门户页面/u138.png"/>
                                    </div>
                                    <div class="rightTitleDiv">
                                        <div class="rightTitle">
                                            <span>档案管理系统</span>
                                        </div>
                                    </div>
                                </div>

                            </a>
                        </div>
                    </c:if>
                    <%--<c:if test="${emr_apply_copy == 1}">
                        <div class="iconContext left">
                            <a href="${EMRAPPLYCOPY_URLHEAD}/auth/login?token=${token}&userName=${CURRENT_USER.userName}">
                                <!-- Unnamed (矩形) -->
                                <div id="u146" class="ax_default sticky_3">
                                    <div id="u146_div" class=""></div>
                                    <!-- Unnamed () -->
                                    <div id="u147" class="text" style="display: none; visibility: hidden">
                                        <p><span></span></p>
                                    </div>
                                </div>
                                <!-- Unnamed (形状) -->
                                <div id="u148" class="ax_default icon">
                                    <img id="u148_img" class="img " src="${path}/static/images/门户页面/u149.png"/>
                                    <!-- Unnamed () -->
                                    <div id="u149" class="text" style="display: none; visibility: hidden">
                                        <p><span></span></p>
                                    </div>
                                </div>
                                <!-- Unnamed (矩形) -->
                                <div id="u150" class="ax_default _二级标题">
                                    <div id="u150_div" class=""></div>
                                    <!-- Unnamed () -->
                                    <div id="u151" class="text" style="visibility: visible;text-align: center">
                                        <p><span>病案复印预约</span></p>
                                    </div>
                                </div>
                            </a>
                        </div>
                    </c:if>
                    <c:if test="${emr_files == 1}">
                        <div class="iconContext left">
                            <a href="${EMRFILES_URLHEAD}/login?token=${token}&userName=${CURRENT_USER.userName}">
                                <!-- Unnamed (矩形) -->
                                <div id="u1461" class="ax_default sticky_3">
                                    <div id="u1461_div" class=""></div>
                                    <!-- Unnamed () -->
                                    <div id="u1471" class="text" style="display: none; visibility: hidden">
                                        <p><span></span></p>
                                    </div>
                                </div>
                                <!-- Unnamed (形状) -->
                                <div id="u1481" class="ax_default icon">
                                    <img id="u1481_img" class="img " src="${path}/static/images/门户页面/u148.png"/>
                                    <!-- Unnamed () -->
                                    <div id="u1491" class="text" style="display: none; visibility: hidden">
                                        <p><span></span></p>
                                    </div>
                                </div>
                                <!-- Unnamed (矩形) -->
                                <div id="u1501" class="ax_default _二级标题">
                                    <div id="u1501_div" class=""></div>
                                    <!-- Unnamed () -->
                                    <div id="u1511" class="text" style="visibility: visible;text-align: center">
                                        <p><span>病案签收</span></p>
                                    </div>
                                </div>
                            </a>
                        </div>
                    </c:if>--%>
                </div>
            </section>
    </div>
    </div>
    <!-- 底部版权-->
    <footer class="main-footer">
        <div class="pull-right hidden-xs">
            <b>Version</b> 20200211
        </div>
        <strong>Copyright &copy; 2019-2090 厦门嘉时软件.</strong> All rights
        reserved.
    </footer>
</div>
<script type="text/javascript" src="${path}/static/js/getewayIndex.js?time=2019-12-15"></script>
<%@ include file="/WEB-INF/jspf/webSocket.jspf" %>
<%--<script src="${path}/static/js/gatewayIndexEcharts.js"></script>--%>
</body>
</html>
